coreEngine.Calibration.Operators

## Class CrossoverHelper

- java.lang.Object
- - coreEngine.Calibration.Operators.CrossoverHelper

- Direct Known Subclasses:
    CrossoverOnePoint, CrossoverTwoPoint, CrossoverUniform

      public abstract class CrossoverHelper
      extends java.lang.Object

  Author:
    jltrask

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GeneticAlgorithm` | `alg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrossoverHelper(GeneticAlgorithm alg)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `binStringCross(java.lang.String bin1, java.lang.String bin2)`
    `static java.lang.String[]` | `binStringCross(java.lang.String bin1, java.lang.String bin2, float mixRatio)`
    `abstract CAFBinOrg[]` | `crossover(CAFBinOrg org1, CAFBinOrg org2)`
    `abstract CapacityOrg2[]` | `crossover(CapacityOrg2 org1, CapacityOrg2 org2)`
    `abstract HybridDemandCDPOrg[]` | `crossover(HybridDemandCDPOrg org1, HybridDemandCDPOrg org2)`
    `abstract HybridDemandOrg[]` | `crossover(HybridDemandOrg org1, HybridDemandOrg org2)`
    `abstract NDistCDPOrg[]` | `crossover(NDistCDPOrg org1, NDistCDPOrg org2)`
    `abstract NDistOrg[]` | `crossover(NDistOrg org1, NDistOrg org2)`
    `abstract PBDemCDPOrg[]` | `crossover(PBDemCDPOrg org1, PBDemCDPOrg org2)`
    `abstract PBDemOrg[]` | `crossover(PBDemOrg org1, PBDemOrg org2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### alg

          protected final GeneticAlgorithm alg

  - ### Constructor Detail

    - #### CrossoverHelper

          public CrossoverHelper(GeneticAlgorithm alg)

  - ### Method Detail

    - #### crossover

          public abstract PBDemOrg[] crossover(PBDemOrg org1,
                                               PBDemOrg org2)

    - #### crossover

          public abstract PBDemCDPOrg[] crossover(PBDemCDPOrg org1,
                                                  PBDemCDPOrg org2)

    - #### crossover

          public abstract CAFBinOrg[] crossover(CAFBinOrg org1,
                                                CAFBinOrg org2)

    - #### crossover

          public abstract NDistOrg[] crossover(NDistOrg org1,
                                               NDistOrg org2)

    - #### crossover

          public abstract NDistCDPOrg[] crossover(NDistCDPOrg org1,
                                                  NDistCDPOrg org2)

    - #### crossover

          public abstract HybridDemandOrg[] crossover(HybridDemandOrg org1,
                                                      HybridDemandOrg org2)

    - #### crossover

          public abstract HybridDemandCDPOrg[] crossover(HybridDemandCDPOrg org1,
                                                         HybridDemandCDPOrg org2)

    - #### crossover

          public abstract CapacityOrg2[] crossover(CapacityOrg2 org1,
                                                   CapacityOrg2 org2)

    - #### binStringCross

          public static java.lang.String[] binStringCross(java.lang.String bin1,
                                                          java.lang.String bin2)

    - #### binStringCross

          public static java.lang.String[] binStringCross(java.lang.String bin1,
                                                          java.lang.String bin2,
                                                          float mixRatio)